Bug 193758 - Using xenguest-install.py to an LVM backing fails on reboot
Using xenguest-install.py to an LVM backing fails on reboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-01 07:57 EDT by Gawain Lynch
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 16:58:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xend.log excerpt from install (6.86 KB, text/plain)
2006-06-04 22:58 EDT, Gawain Lynch
no flags Details
xend.log excerpt from initial boot (6.18 KB, text/plain)
2006-06-04 22:58 EDT, Gawain Lynch
no flags Details
fsck output (37.30 KB, text/plain)
2006-06-04 22:59 EDT, Gawain Lynch
no flags Details
dmesg boot log (13.23 KB, application/octet-stream)
2006-06-04 23:02 EDT, Gawain Lynch
no flags Details
dmesg log post guest install (43.33 KB, application/octet-stream)
2006-06-04 23:03 EDT, Gawain Lynch
no flags Details

  None (edit)
Description Gawain Lynch 2006-06-01 07:57:02 EDT
Description of problem:


Version-Release number of selected component (if applicable):
xen-3.0.1-4 & xen-3.0.2-0.FC5.3

How reproducible:
Everytime

Steps to Reproduce:
1. Create an logical volume to install to:
    # lvcreate -L 2G vgxen -n myxenvg
2. Install FC5:
    # xenguest-install.py --name=myxen \
        --file=/dev/vgxen/myxenvg \
        --ram=256 \
        --location=http://install.mylan.com.au/5/i386/

3. Start the instance
    # xm create -c myxen

Actual results:

  Setting up Logical Volume Management:   2 logical volume(s) 
      in volume group "vg00" now active
      [  OK  ]
      Checking filesystems
      Checking all file systems.
      [/sbin/fsck.ext3 (1) -- /] fsck.ext3 -a /dev/vg00/lv00
      /dev/vg00/lv00: clean, 19347/418080 files, 126997/417792 blocks
      [/sbin/fsck.ext3 (1) -- /boot] fsck.ext3 -a /dev/xvda1
      Error reading block 32 (Attempt to read block from filesystem 
      resulted in short read).

      /boot: UNEXPECTED INCONSISTENCY; RUN fsck MANUALLY.
              (i.e., without -a or -p options)


Trying to fsck the /boot filesystem gives the following errors:
    Error reading block 32 (Attempt to read block from filesystem
    resulted in short read).  Ignore error<y>? 

Expected results:
The myxen domU should boot as it does when using a file backing.

Additional info:
Running the course of the fsck does not make any difference.

Trying to manually mount and write to xvda1 will cause ext3 journal errors and
the partition to be remounted read only.
Comment 1 Jeremy Katz 2006-06-04 14:59:24 EDT
The install succeeded successfully?  Are there any errors in dmesg of the xen0
or in /var/log/xend{-debug}.log?
Comment 2 Gawain Lynch 2006-06-04 22:58:19 EDT
Created attachment 130468 [details]
xend.log excerpt from install
Comment 3 Gawain Lynch 2006-06-04 22:58:54 EDT
Created attachment 130469 [details]
xend.log excerpt from initial boot
Comment 4 Gawain Lynch 2006-06-04 22:59:39 EDT
Created attachment 130470 [details]
fsck output
Comment 5 Gawain Lynch 2006-06-04 23:02:42 EDT
Created attachment 130471 [details]
dmesg boot log
Comment 6 Gawain Lynch 2006-06-04 23:03:33 EDT
Created attachment 130472 [details]
dmesg log post guest install
Comment 7 Gawain Lynch 2006-06-04 23:06:17 EDT
Other than what apprears in the post install dmesg there are no other
interesting bits and the install finishes OK.

If I 'mount -o ro /boot', 'mount -o rmount rw /' and do an 'init 3' I can bring
the guest up to a useable state. 
Comment 8 Jeremy Katz 2006-09-25 16:58:56 EDT
This works now 

Note You need to log in before you can comment on or make changes to this bug.